/*
 *  net/sf/logdistiller/ant/AntLogDistillation.java
 *  Copyright (C) 2004-2007 Herv� BOUTEMY
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.sf.logdistiller.ant;

import java.io.*;

/**
 * Definition of logdistillation configration in Ant buildfile.
 * <pre>&lt;logdistillation</a> destdir="<i>[directory to store event groups]</i>" content="<i>[content description]</i>" skipgroups="<i>[group to skip]</i>"/&gt;</pre>
 * @deprecated replaced by <code>output</code> element in rules configuration file.
 */
public class AntLogDistillation {
  private File destdir;
  private String content;
  private String skipgroups = "";

  public AntLogDistillation() {
  }

  public void setDestdir(File destdir) {
    this.destdir = destdir;
  }

  public File getDestdir() {
    return destdir;
  }

  public void setContent(String content) {
    this.content = content;
  }

  public String getContent() {
    return content;
  }

  public void setSkipgroups(String skipgroups) {
    this.skipgroups = skipgroups;
  }

  public String getSkipgroups() {
    return skipgroups;
  }
}
