/*
 *  net/sf/logdistiller/gui/LongProgressBar.java
 *  Copyright (C) 2004-2007 Herv BOUTEMY
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.sf.logdistiller.gui;

import javax.swing.JProgressBar;

/**
 * A progress bar which value is <code>long</code> instead of <code>int</code>.
 */
public class LongProgressBar extends JProgressBar {
  private static final long serialVersionUID = 873997737437917737L;
  private int factor;

  public void setLongMaximum(long max) {
    factor = (int)(max / Integer.MAX_VALUE) + 1;
    super.setMaximum((int)(max / factor));
  }

  public void setLongValue(long value) {
    super.setValue((int)(value / factor));
  }
}
