/*
 *  net/sf/logdistiller/gui/Main.java
 *  Copyright (C) 2004-2007 Herv BOUTEMY
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.sf.logdistiller.gui;

import java.io.File;

import javax.swing.JFrame;
import javax.swing.JComponent;

/**
 * Main gui launcher.
 */
public class Main {
  public Main() {
  }

  public static void main(String[] args) {
    JFrame frame = new JFrame();
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    MainPanel mainPanel = new MainPanel(frame);
    JComponent panel = mainPanel.buildPanel();
    frame.getContentPane().add(panel);
    frame.pack();
    
    if (args.length > 0) {
      String rules = args[0];
      mainPanel.selectConfigurationFile(new File(rules));
    }
    if (args.length > 1) {
      String logFile = args[1];
      mainPanel.selectSourceFile(new File(logFile));
    }
    frame.setVisible(true);
  }
}
