/*
 *  net/sf/logdistiller/logtypes/BaseLogTypes.java
 *  Copyright (C) 2004-2007 Herv� BOUTEMY
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.sf.logdistiller.logtypes;

import java.util.*;

import net.sf.logdistiller.LogType;
import net.sf.logdistiller.LogTypes;

/**
 * Declaration of base logtypes that are shipped with <b>LogDistiller</b>.
 */
public class BaseLogTypes extends LogTypes {
  public final static LogType SIMPLE_LINE = SimpleLineLogEvent.LOGTYPE;
  public final static LogType SYSLOG = SyslogLogEvent.LOGTYPE;
  public final static LogType WEBLOGIC = WeblogicLogEvent.LOGTYPE;
  public final static LogType LOG4J_XML = Log4jXmlLogEvent.LOGTYPE;
  public final static LogType ORACLE_ALERT = OracleAlertLogEvent.LOGTYPE;
  public final static LogType CSV = CSVLogEvent.LOGTYPE;
  public final static LogType JBOSS = JBossLogEvent.LOGTYPE;

  private final static LogType[] LOGTYPES = {
      SIMPLE_LINE,
      SYSLOG,
      WEBLOGIC,
      LOG4J_XML,
      ORACLE_ALERT,
      CSV,
      JBOSS
  };
  private final static List LOGTYPES_LIST = Collections.unmodifiableList(Arrays.asList(LOGTYPES));

  public List defineLogTypes() {
    return LOGTYPES_LIST;
  }
}
