/*
 *  net/sf/logdistiller/plugins/BasePlugins.java
 *  Copyright (C) 2004-2007 Herv BOUTEMY
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.sf.logdistiller.plugins;

import java.util.*;

import net.sf.logdistiller.Plugin;
import net.sf.logdistiller.Plugins;

/**
 * Declaration of base plugins that are shipped with <b>LogDistiller</b>.
 */
public class BasePlugins extends Plugins {
  public final static Plugin FREQ = FreqPlugin.TYPE;
  public final static Plugin SAMPLING = SamplingPlugin.TYPE;

  private final static Plugin[] PLUGINS = {
      FREQ,
      SAMPLING
  };
  private final static List PLUGINS_LIST = Collections.unmodifiableList(Arrays.asList(PLUGINS));

  public List definePlugins() {
    return PLUGINS_LIST;
  }
}
