/*
 *  net/sf/logdistiller/reports/BaseReportFormats.java
 *  Copyright (C) 2004-2007 Herv BOUTEMY
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.sf.logdistiller.reports;

import java.util.*;

import net.sf.logdistiller.ReportFormat;
import net.sf.logdistiller.ReportFormats;

/**
 * Declaration of base report formats that are shipped with <b>LogDistiller</b>.
 */
public class BaseReportFormats extends ReportFormats {
  public final static ReportFormat TEXT = new TextReport();
  public final static ReportFormat XML = new XmlReport();

  private final static ReportFormat[] REPORT_FORMATS = {
      TEXT, XML
  };
  private final static List REPORT_FORMATS_LIST = Collections.unmodifiableList(Arrays.asList(REPORT_FORMATS));

  public List defineReportFormats() {
    return REPORT_FORMATS_LIST;
  }
}
