/*
 *  net/sf/logdistiller/util/StringCutter.java
 *  Copyright (C) 2004-2007 Herv BOUTEMY
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.sf.logdistiller.util;

import java.text.ParseException;

public class StringCutter {
  private final String src;
  private int index = 0;

  public StringCutter(String src) {
    this.src = src;
  }

  public StringCutter(String src, int startIndex) {
    this.src = src;
    this.index = startIndex;
  }

  public String parseTo(String delimiter) throws ParseException {
    int to = src.indexOf(delimiter, index);
    if (to < index) {
      throw new ParseException("delimiter '" + delimiter + "' not found starting from index " + index + " in '" + src + "'", index);
    }
    String token = src.substring(index, to);
    index = to + delimiter.length();
    return token;
  }

  public String getRemaining() {
    return src.substring(index);
  }
}
