/*
 *  net/sf/logdistiller/xml/SAXErrorHandler.java
 *  Copyright (C) 2004-2007 Herv BOUTEMY
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package net.sf.logdistiller.xml;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXParseException;

public class SAXErrorHandler implements ErrorHandler {
  public void error(SAXParseException spe) {
    System.err.println("Parsing error on line " + spe.getLineNumber() + " and column " + spe.getColumnNumber() + ": " + spe.getMessage());
    Exception e = spe.getException();
    if (e != null) {
      e.printStackTrace();
    }
  }

  public void fatalError(SAXParseException spe) {
    error(spe);
  }

  public void warning(SAXParseException spe) {
    System.err.println("Parsing warning on line " + spe.getLineNumber() + " and column " + spe.getColumnNumber() + ": " + spe.getMessage());
    Exception e = spe.getException();
    if (e != null) {
      e.printStackTrace();
    }
  }
}
